Subject: Android and compatibility with deprecated armv7 instructions

From: [email-masked] (Will Deacon)
Date: Wed, 2 Jul 2014 18:01:41 +0100

On Wed, Jul 02, 2014 at 05:39:23PM +0100, Mark Brown wrote:
> On Wed, Jul 02, 2014 at 11:01:33AM +0100, Will Deacon wrote:
> 
> >   (1) The hardware doesn't have the instruction at all. If we start
> >       emulating it, then we'll always have to emulate it and it doesn't
> >       encourage software migration.
> 
> That's what the logging other architectures did in similar situations
> was intended to help address - even if people don't care about the
> performance impact having loud complaints in the logs tends to cause
> some useful subset of users to report it as a problem.

I don't think logging something to dmesg is going to make a blind bit of
difference on an Android device. Maybe we could get SWP emulation to request
access to the users contacts and send everybody a text message each time
they issue the instruction?

Seriously though, nothing causes loud complaints like a SIGILL. This thread
is evidence of that.

Will